#ifndef BB_TYPES_H_INCLUDED
#define BB_TYPES_H_INCLUDED 1

#include "bbdata.h"
#include <context_uids.rh>

#define KBBUidValue CONTEXT_UID_BLACKBOARDFACTORY

const TUid KBBUid = { KBBUidValue };
const TTypeName KIntType = { { KBBUidValue }, 1, 1, 0 };
const TTypeName KShortStringType = { { KBBUidValue }, 2, 1, 0 };
const TTypeName KListType = { { KBBUidValue }, 3, 1, 0 };
const TTypeName KBoolType = { { KBBUidValue }, 4, 1, 0 };
const TTypeName KTimeType = { { KBBUidValue }, 5, 1, 0 };
const TTypeName KUintType = { { KBBUidValue }, 6, 1, 0 };
const TTypeName KNullType = { { KBBUidValue }, 7, 1, 0 };
const TTypeName KGeneralType = { { KBBUidValue }, 8, 1, 0 };
const TTypeName KUidType = { { KBBUidValue }, 9, 1, 0 };
const TTypeName KLongStringType = { { KBBUidValue }, 10, 1, 0 };
const TTypeName KStringType = { { KBBUidValue }, 11, 1, 0 };

#define KBBAnyUidValue 0x0
const TUid KBBAnyUid = { KBBAnyUidValue };
const TInt KBBAnyId = 0x0;
const TTypeName KAnyType = { { KBBAnyUidValue }, KBBAnyId, 0, 0 };
const TComponentName KAnyComponent = { { KBBAnyUidValue }, KBBAnyId };
const TTupleName KAnyTuple = { { KBBAnyUidValue }, KBBAnyId };

#define KBBNoUidValue -0x1
const TUid KBBNoUid = { KBBNoUidValue };
const TInt KBBNoId = -0x1;
const TTypeName KNoType = { { KBBNoUidValue }, KBBNoId, 0, 0 };
const TComponentName KNoComponent = { { KBBNoUidValue }, KBBNoId };
const TTupleName KNoTuple = { { KBBNoUidValue }, KBBNoId };


#endif
