#ifndef CONTEXT_OPERATORMAP_H_INCLUDED
#define CONTEXT_OPERATORMAP_H_INCLUDED 1

// reads z:\\system\\BootData\\operinfo.txt and gives
// mapping from operator name to MCC,MNC

#include <e32std.h>
#include <app_context.h>

class COperatorMap : public CBase {
public:
	static COperatorMap* NewL(MApp_context& Context);
	virtual TBool NameToMccMnc(const TDesC& aName, TUint& aMccInto, TUint& aMncInto) = 0;
	~COperatorMap();

	virtual void AddRef() = 0;
	virtual void Release() = 0;
};

#endif
